# SPDX-License-Identifier: MIT
---
# All required repositories are already part of SLES for SAP 15 SP5+.

# High Availability Extension is required for cluster setup as well
# as qnetd/qdevice configuration.
- name: Gather package facts
  ansible.builtin.package_facts:
    manager: auto

- name: Check High Availability Extension presence using product file
  ansible.builtin.stat:
    path: /etc/products.d/sle-ha.prod
  register: __ha_cluster_ha_ext_stat

# Registering HA Extension creates file /etc/products.d/sle-ha.prod and
# installs rpm sle-ha-release. Cluster software is not installed.
- name: Assert that High Availability Extension is present
  ansible.builtin.assert:
    that:
      - "'sle-ha-release' in ansible_facts.packages"
      - __ha_cluster_ha_ext_stat.stat.exists
    success_msg: "High Availability Extension was detected."
    fail_msg: "High Availability Extension is not registered!
      Register HA Extension before executing again."
  # Fatal fail will occur if any of cluster nodes is missing HAE
  any_errors_fatal: true
